# Particle Swarm Optimisation

## Dependancies:

python 3.8.1

rgl 0.106.8

## Summary:

This Package is used to make a particle swarm optimisation.
It has been created to find the optimal hyperparametesr for a neural network as a part of my internship in the 'Laboratoire de transfert  d'oncologie biologique' (ltob) in Marseille


## How to use:

This package contains two class, the Particle class and the ParticleSwarm class,
to make the PSO you need to create a ParticleSwarm object and call his method 'run'.


## description of the different files and directory:

- vignettes/how-to-use-this.Rmd : This file is a Rmarkdown with the differents class and methods explain with exemple.
- R/particle.R : This file contain the code for the Particle Class.
- R/swarm.R : This file contain the code for the ParticleSwarm Class.
- man/Particle.Rd : documentation for the Particle Class, can be call with '?Particle' in R.
- man/ParticleSwarm.Rd : documentation for the ParticleSwarm, can be call with '?ParticleSwarm' in R.


For more information check the how-to-use-this.rmd file.
